<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <link href="https://cdn.jsdelivr.net/npm/bootstrap@5.3.3/dist/css/bootstrap.min.css" rel="stylesheet"
          integrity="sha384-QWTKZyjpPEjISv5WaRU9OFeRpok6YctnYmDr5pNlyT2bRjXh0JMhjY6hW+ALEwIH" crossorigin="anonymous">
    <link rel="stylesheet" href="https://cdn.jsdelivr.net/npm/bootstrap-icons@1.11.3/font/bootstrap-icons.min.css">
    <title>Patient info</title>
    <style>
        .action-buttons {
            display: none;
        }

        tr:hover .action-buttons {
            display: inline-block;
        }
    </style>
</head>
<body>
<div class="container">
    <h1 class="display-3">Patient Info</h1>
    <a class="btn btn-outline-dark mb-3" th:href="@{/patients}"><i class="bi bi-arrow-left-square"></i> Back to patient list</a>
    <div class="card-deck">
        <div class="row mb-3">
            <div class="col-9">
                <div class="card mb-3 h-100">
                    <div class="card-header bg-dark-subtle">
                        <h5 class="card-title" th:text="${patient.firstName()} + ' ' + ${patient.lastName()}">
                            Victor MINOT
                        </h5>
                    </div>
                    <div class="card-body">
                        <div class="card-text">
                            <div class="row mb-3">
                                <h6 class="col-sm-2">Lastname</h6>
                                <p class="col-sm-4" th:text="${patient.lastName()}">MINOT</p>

                                <h6 class="col-sm-2">Firstname</h6>
                                <p class="col-sm-4" th:text="${patient.firstName()}">Victor</p>
                            </div>

                            <div class="row mb-3">
                                <h6 class="col-sm-2">Date of birth</h6>
                                <p class="col-sm-4" th:text="${patient.dateOfBirth()}">17/05/2020</p>

                                <h6 class="col-sm-2">Gender</h6>
                                <p class="col-sm-4"><span th:text="${patient.gender()}" class="badge bg-secondary">M</span></p>
                            </div>

                            <div class="row mb-3">
                                <h6 class="col-sm-2">Address</h6>
                                <p class="col-sm-4" th:text="${patient.address().number()} + ' ' + ${patient.address().streetName()}">10 Route du fief</p>

                                <h6 class="col-sm-2">Phone number</h6>
                                <p class="col-sm-4" th:text="${patient.phoneNumber()}">06 48 17 79 89</p>
                            </div>

                        </div>
                        <a class="btn btn-primary" th:href="@{/updatePatient/{id}(id=${patient.id()})}">Update</a>
                        <button class="btn btn-outline-danger" data-bs-toggle="modal" data-bs-target="#confirmDeletePatientModal" th:data-patient-id="${patient.id()}">Delete</button>
                    </div>
                </div>
            </div>

            <div class="col-3">
                <div class="card h-100 mb-3">
                    <div class="card-header bg-dark-subtle">
                        <h5 class="card-title" th:text="${patient.firstName()} + ' assessment'">
                            Victor assessment
                        </h5>
                    </div>
                    <div class="card-body m-auto ">
                        <div class="alert alert-warning" th:if="${assessment.name() == 'IN_DANGER'}">In Danger</div>
                        <div class="alert alert-success" th:if="${assessment.name() == 'NONE'}">No risk</div>
                        <div class="alert alert-info" th:if="${assessment.name() == 'BORDERLINE'}">Borderline</div>
                        <div class="alert alert-danger" th:if="${assessment.name() == 'EARLY_ONSET'}">Early onset</div>
                    </div>
                </div>
            </div>
        </div>
    </div>



    <div class="card mb-3">
        <div class="card-header bg-dark-subtle">
            <h5>Add a note</h5>
        </div>
        <div class="card-body">
            <div class="card-text">
                <form role="form" th:action="@{/postNote}" method="post" th:object="${newNoteContent}">
                    <div class="mb-3">
                        <label for="noteContent" class="form-label">New note</label>
                        <textarea class="form-control" id="noteContent" rows="4" th:field="*{note}"></textarea>
                    </div>
                    <input type="hidden" th:field="*{patientId}" th:value="${patient.id()}">
                    <input type="hidden" th:field="*{patientName}" th:value="${patient.firstName() + ' ' + patient.lastName()}">
                    <button type="submit" class="btn btn-primary">Post</button>
                </form>
            </div>
        </div>
    </div>

    <div class="card">
        <div class="card-header bg-dark-subtle"><h5>Notes</h5></div>
        <div class="card-body">
            <table class="table table-striped table-hover table-sm">
                <thead>
                <tr>
                    <th style="width: 15%;">Date</th>
                    <th style="width: 75%;">Note</th>
                    <th style="width: 10%;"></th>
                </tr>
                </thead>
                <tbody>
                <tr th:each="note: ${notes}">
                    <td style="width: 15%;" th:text="${#temporals.format(note.createdAt(), 'dd/MM/yyyy - HH:mm')}">17/06/2024</td>
                    <td style="width: 75%;">  <pre th:utext="${#strings.replace(note.note(), '\n', '<br/>')}">Texte de la note</pre></td>
                    <td>
                        <button class="btn btn-outline-primary rounded-circle action-buttons" type="button" data-bs-toggle="modal" data-bs-target="#editNoteModal" th:data-note="${note.note()}" th:data-note-id="${note.noteId()}"><i class="bi bi-pencil"></i></button>
                        <button class="btn btn-outline-danger rounded-circle action-buttons" type="button" data-bs-toggle="modal" data-bs-target="#confirmDeleteNoteModal" th:data-note-id="${note.noteId()}"><i class="bi bi-trash3"></i></button>
                    </td>
                </tr>
                </tbody>
            </table>
        </div>
    </div>
</div>

<!--Modal for note content edition-->
<div class="modal fade" id="editNoteModal" tabindex="-1" aria-labelledby="editNoteModalLabel" aria-hidden="true">
    <div class="modal-dialog">
        <div class="modal-content">
            <form method="post" th:action="@{/updateNote}">
                <div class="modal-header">
                    <h1 class="modal-title fs-5" id="editNoteModalLabel">Edit note</h1>
                    <button type="button" class="btn-close" data-bs-dismiss="modal" aria-label="Close"></button>
                </div>
                <div class="modal-body">
                    <input type="hidden" id="noteIdModal" name="noteId">
                    <textarea id="noteContentModal" class="form-control" name="noteContent" rows="5"></textarea>
                </div>
                <div class="modal-footer">
                    <button type="button" class="btn btn-secondary" data-bs-dismiss="modal">Close</button>
                    <button type="submit" class="btn btn-primary">Save changes</button>
                </div>
            </form>

        </div>
    </div>
</div>

<!--Modal to confirm note delete-->
<div class="modal fade" id="confirmDeleteNoteModal" tabindex="-1" aria-labelledby="confirmDeleteNoteModalLabel" aria-hidden="true">
    <div class="modal-dialog">
        <div class="modal-content">
            <form method="post" th:action="@{/deleteNote}">
                <div class="modal-header">
                    <h1 class="modal-title fs-5" id="confirmDeleteNoteModalLabel">Delete note</h1>
                    <button type="button" class="btn-close" data-bs-dismiss="modal" aria-label="Close"></button>
                </div>
                <div class="modal-body">
                    <input type="hidden" id="noteDeleteIdModal" name="noteId">
                    Are you sure  to delete this note ?
                </div>
                <div class="modal-footer">
                    <button type="button" class="btn btn-secondary" data-bs-dismiss="modal">Close</button>
                    <button type="submit" class="btn btn-danger">Delete note</button>
                </div>
            </form>

        </div>
    </div>
</div>

<!--Modal to confirm patient delete-->
<div class="modal fade" id="confirmDeletePatientModal" tabindex="-1" aria-labelledby="confirmDeletePatientModalLabel" aria-hidden="true">
    <div class="modal-dialog">
        <div class="modal-content">
            <form method="post" th:action="@{/deletePatient}">
                <div class="modal-header">
                    <h1 class="modal-title fs-5" id="confirmDeletePatientModalLabel">Delete patient</h1>
                    <button type="button" class="btn-close" data-bs-dismiss="modal" aria-label="Close"></button>
                </div>
                <div class="modal-body">
                    <input type="hidden" id="patientDeleteIdModal" name="patientId">
                    Are you sure  to delete this patient ?
                </div>
                <div class="modal-footer">
                    <button type="button" class="btn btn-secondary" data-bs-dismiss="modal">Close</button>
                    <button type="submit" class="btn btn-danger">Delete patient</button>
                </div>
            </form>

        </div>
    </div>
</div>


<script src="https://cdn.jsdelivr.net/npm/bootstrap@5.3.3/dist/js/bootstrap.bundle.min.js"
        integrity="sha384-YvpcrYf0tY3lHB60NNkmXc5s9fDVZLESaAA55NDzOxhy9GkcIdslK1eN7N6jIeHz"
        crossorigin="anonymous"></script>
<script>
    document.addEventListener('DOMContentLoaded', function () {
        const editNoteModal = document.getElementById('editNoteModal');
        editNoteModal.addEventListener('show.bs.modal', event => {
            const button = event.relatedTarget
            const noteText = button.getAttribute('data-note')
            const noteId = button.getAttribute('data-note-id')
            const modalBodyInput = document.getElementById('noteContentModal');
            const modalBodyId = document.getElementById('noteIdModal')
            modalBodyInput.value = noteText;
            modalBodyId.value = noteId
        });
    });

    document.addEventListener('DOMContentLoaded', function() {
        const deleteNoteModal = document.getElementById('confirmDeleteNoteModal');
        deleteNoteModal.addEventListener('show.bs.modal', event => {
            const button = event.relatedTarget
            const noteId = button.getAttribute('data-note-id')
            const modalBodyId = document.getElementById('noteDeleteIdModal')
            modalBodyId.value = noteId
        });
    });

    document.addEventListener('DOMContentLoaded', () => {
        const deletePatientModal = document.getElementById('confirmDeletePatientModal');
        deletePatientModal.addEventListener('show.bs.modal', event => {
            const button = event.relatedTarget
            const patientId = button.getAttribute('data-patient-id')
            const modalBodyId = document.getElementById('patientDeleteIdModal')
            modalBodyId.value = patientId
        })
    })
</script>
</body>
</html>